Remi Collet: PHPUnit 6.0

RPM of PHPUnit version 6.0 are available in remi repository for Fedora ≥ 22 and for Enterprise Linux (CentOS, RHEL…).

Documentation :

emblem-notice-24.pngThis new major version requires PHP ≥ 7.0 and is not backward compatible with previous version, so the package is designed to be installed beside version 5.

Installation, Fedora:

dnf --enablerepo=remi install phpunit6

Installation, Enterprise Linux:

yum --enablerepo=remi install phpunit6 php-phpunit-dbunit3

A forward compatibility feature have been implemented in version 4.8.35 and 5.7 which allow to use the new namespaces, adaptation is quite simple (examples: fedora/autoloader, GLPI or tc-lib-color).

Notice: this tool is an essential component of PHP QA in Fedora. This version and its dependencies are already submitted to review for Fedora’s official repository (review #1420381).  I also plan an update in Fedora 25 later.


Source From: fedoraplanet.org.
Original article title: Remi Collet: PHPUnit 6.0.
This full article can be read at: Remi Collet: PHPUnit 6.0.

Advertisement


Random Article You May Like

Leave a Reply

Your email address will not be published. Required fields are marked *

*
*